/*
 * $Id: Category.java,v 1.3 2000/09/20 05:03:00 brydon Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.shoppingcart.catalog.model;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Collection;
import java.io.Serializable;

/**
 * This class represents different categories of pets in the Java
 * Pet Store Demo.  Each category can have one or more products under
 * it and each product in turn can have one or more inventory items
 * under it.  For example, the Java Pet Store Demo currently has five
 * categories: birds, cats, dogs, fish, and reptiles.
*/
public class Category implements java.io.Serializable {

    private String id;
    private String name;
    private String description;

    public Category(String id, String name, String description) {
        this.id = id;
        this.name = name;
        this.description = description;
    }

    public String getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public String getDescription() {
        return description;
    }
}
